#ifndef MESH_PROCESSING_H
#define MESH_PROCESSING_H

#include "my_mesh.h"

#include <vector>


typedef std::vector<MyMesh::HalfedgeHandle> HalfedgeStrip;

std::vector<HalfedgeStrip> findBorders(MyMesh &mesh);

void setBorderColor(MyMesh &mesh, const HalfedgeStrip &border,
					MyMesh::Color color);

#endif